ResourcesCharges
List all charges
This endpoint allows you to retrieve a paginated list of charges for your store.
This endpoint allows you to retrieve a paginated list of charges for your store.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Query Parameters
limit?integer
Number of items to return per page.
Default
15Range
1 <= value <= 100page?integer
Page number to return.
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/charges"{
"data": [
{
"id": 1,
"url": "https://sell.app/store/charges/select/1?signature=...",
"status": "PENDING"
}
],
"links": {},
"meta": {}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}